Build for iOS 4.x when you have iOS 5?

Jon

  • *
  • Posts: 17533
Does anyone know how I can build for iOS 4.x when I've got the iOS 5 Beta? I noticed in my build screen that it only lets me target 5 / armv7 now, and there are no other choices for SDK's. ("Other" just pops up a generic text box - no idea what to enter there)

For this reason, the newest build won't work on older devices now.

mikefish

  • Posts: 18
I know you can test in the 4.3 simulator in xcode but I don't know if there's a way to actually compile specifically for 4 once you install 5.

Jon

  • *
  • Posts: 17533
I think you're right. It sounds like I need to either downgrade back to 4 or run this on another Mac (luckily I have one).